Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Updating the uninstall instructions to use script/plugin remove

  • Loading branch information...
commit 0cd71546eccec6dfb376f3b0be9bde66c603737b 1 parent ec02fe1
@qrush qrush authored
View
4 README.rdoc
@@ -24,7 +24,9 @@ Remove the vendor/plugins/exception_notifier directory.
=== Remove hoptoad_notifier plugin
-Remove the vendor/plugins/hoptoad_notifier directory before installing the gem.
+Remove the vendor/plugins/hoptoad_notifier directory before installing the gem, or run:
+
+ script/plugin remove hoptoad_notifier
=== Rails 2.x
View
17 features/rails.feature
@@ -54,12 +54,11 @@ Feature: Install the Gem in a Rails application
And I run "cap -T"
Then I should see "deploy:notify_hoptoad"
- Scenario: Try to install when the hoptoad_notifier plugin still exists
- When I generate a new Rails application
- And I install the "hoptoad_notifier" plugin
- And I configure the Hoptoad shim
- And I configure the notifier to use "myapikey" as an API key
- And I configure my application to require the "hoptoad_notifier" gem
- And I run "script/generate hoptoad"
- Then I should see "You must first remove the hoptoad_notifier plugin from the vendor/plugins directory"
-
+ Scenario: Try to install when the hoptoad_notifier plugin still exists
+ When I generate a new Rails application
+ And I install the "hoptoad_notifier" plugin
+ And I configure the Hoptoad shim
+ And I configure the notifier to use "myapikey" as an API key
+ And I configure my application to require the "hoptoad_notifier" gem
+ And I run "script/generate hoptoad"
+ Then I should see "You must first remove the hoptoad_notifier plugin. Please run: script/plugin remove hoptoad_notifier"
View
2  generators/hoptoad/hoptoad_generator.rb
@@ -12,7 +12,7 @@ def manifest
exit
end
if plugin_is_present?
- puts "You must first remove the hoptoad_notifier plugin from the vendor/plugins directory"
+ puts "You must first remove the hoptoad_notifier plugin. Please run: script/plugin remove hoptoad_notifier"
exit
end
record do |m|
View
2  test/helper.rb
@@ -1,7 +1,7 @@
require 'test/unit'
require 'rubygems'
-gem 'jferris-mocha', '0.9.5.0.1241126838'
+gem 'jferris-mocha', '>= 0.9.5.0.1241126838'
require 'shoulda'
require 'mocha'
Please sign in to comment.
Something went wrong with that request. Please try again.